/**
  *  \file client/widgets/processlist.h
  *  \brief Process List Widget
  *
  *  (c) 2001-2013 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_PROCESSLIST_H
#define PCC_V2_CLIENT_WIDGETS_PROCESSLIST_H

#include "ui/listbox.h"

class IntExecutionContext;

/** Process list display. Shows the interpreter process list in a
    list box. */
class WProcessList : public UIListbox {
 public:
    WProcessList();
    ~WProcessList();

    void drawPart(GfxCanvas& can, int from, int to);
    void update();
    void scrollToProcess(IntExecutionContext* proc);

    IntExecutionContext* getSelectedProcess();
};

class WProcessListHeader : public UIWidget {
 public:
    WProcessListHeader();
    ~WProcessListHeader();

    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& info);
};

#endif
